﻿using UnityEditor;
using UnityEngine;
using Perforce.P4;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace P4Connect
{
	public class OpenedConnection
	{
		public PerforceConnection Connection
		{
			get { return _Connection; }
		}
        
		// Give read-only access to the server we're connected to
		public Server P4Server
		{
			get { return _Connection.P4Server; }
		}

		// Give read-only access to the current depot
		public Repository P4Depot
		{
			get { return _Connection.P4Depot; }
		}

		// Give read-only access to the current connection
		public Connection P4Connection
		{
			get { return _Connection.P4Depot.Connection; }
		}

		// Give read-only access to the current client
		public Client P4Client
		{
			get { return _Connection.P4Depot.Connection.Client; }
		}

		PerforceConnection _Connection;

		public OpenedConnection(PerforceConnection aOpenedConnection)
		{
			_Connection = aOpenedConnection;
           // ChangeManager.GetInstance.Refresh(-1);
		}
	}
}
